Subject: Re: Uncompressing Kernel Image ... Error: inflate() returned -3 GUNZIP ERROR - must RESET board to recover

From: Nethra <[email-masked]>
Date: Sun, 5 Aug 2007 21:16:31 -0700 (PDT)

change ur bootm address it will work fine....

see the fallowing example..

Linux crashes when uncompressing the kernel
Question:
When I try to boot Linux, it crashes during uncompressing the kernel image:
=> bootm 100000
## Booting image at 00100000 ...
Image Name: Linux−2.4.25
Image Type: PowerPC Linux Kernel Image (gzip compressed)
Data Size: 1003065 Bytes = 979.6 kB
Load Address: 00000000
Entry Point: 00000000
Verifying Checksum ... OK
Uncompressing Kernel Image ... Error: inflate() returned −3
GUNZIP ERROR − must RESET board to recover
Answer:
Your kernel image is quite big − nearly 1 MB compressed; when it gets
uncompressed it will need 2.5
... 3 MB, starting at address 0x0000. But your compressed image was stored
at 1 MB (0x100000), so
the uncompressed code will overwrite the (remaining) compressed image. The
solution is thus simple:
just use a higher address to download the compressed image into RAM. For
example, try:
=> bootm 400000

Henry Bausley wrote:
> 
> I am getting the error
> 
> Uncompressing Kernel Image ... Error: inflate() returned -3
> GUNZIP ERROR - must RESET board to recover
> OK
> 
> when u-boot tries to uncompress the kernel.  I am using a board based upon
> a 
> Yosemite AMCC 440EP.
> I do have some boards that work.  Does anyone know what could cause this 
> problem.  Bad Flash , Bad DDR ?
> 
> 
> 
> 
> 
> 
> U-Boot 1.1.4 (Jun 30 2006 - 14:55:59)
> 
> CPU:   AMCC PowerPC 440EP Rev. B at 533.333 MHz (PLB=133, OPB=66, EBC=66 
> MHz)
>        I2C boot EEPROM enabled
>        Internal PCI arbiter disabled, PCI async ext clock used
>        32 kB I-Cache 32 kB D-Cache
> Board: Yosemite - AMCC PPC440EP Evaluation Board
> I2C:   ready
> DRAM:  256 MB
> FLASH: 64 MB
> PCI:   Bus Dev VenId DevId Class Int
> In:    serial
> Out:   serial
> Err:   serial
> Net:   ppc_4xx_eth0, ppc_4xx_eth1
> Hit any key to stop autoboot:  0
> ## Booting image at fc000000 ...
>    Image Name:   Linux-2.6.14-rtl
>    Image Type:   PowerPC Linux Kernel Image (gzip compressed)
>    Data Size:    1250069 Bytes =  1.2 MB
>    Load Address: 00000000
>    Entry Point:  00000000
>    Verifying Checksum ... OK
>    Uncompressing Kernel Image ... Error: inflate() returned -3
> GUNZIP ERROR - must RESET board to recover
> OK
> 
> 
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
> 

-- 
View this message in context: http://www.nabble.com/Asterisk-on-Embedded-Linux-tf2336671.html#a12010845
Sent from the linuxppc-embedded mailing list archive at Nabble.com.